package org.omg.CORBA;

import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.OutputStream;

public abstract class FieldNameHelper
{
    private static String _id;
    private static TypeCode __typeCode;
    
    public FieldNameHelper() {
    }
    
    public static void insert(Any any, String s) {
        OutputStream create_output_stream = any.create_output_stream();
        any.type(type());
        write(create_output_stream, s);
        any.read_value(create_output_stream.create_input_stream(), type());
    }
    
    public static String extract(Any any) {
        return read(any.create_input_stream());
    }
    
    public static synchronized TypeCode type() {
        if (FieldNameHelper.__typeCode == null) {
            FieldNameHelper.__typeCode = ORB.init().create_string_tc(0);
            FieldNameHelper.__typeCode = ORB.init().create_alias_tc(id(), "FieldName", FieldNameHelper.__typeCode);
        }
        return FieldNameHelper.__typeCode;
    }
    
    public static String id() {
        return FieldNameHelper._id;
    }
    
    public static String read(InputStream inputStream) {
        return inputStream.read_string();
    }
    
    public static void write(OutputStream outputStream, String s) {
        outputStream.write_string(s);
    }
    
    static {
        FieldNameHelper._id = "IDL:omg.org/CORBA/FieldName:1.0";
        FieldNameHelper.__typeCode = null;
    }
}
